export function IGladiaTranscriptionToITranscriptionResult(data) {
    return {
        duration: 0,
        language: data.languages.at(0),
        segments: data.utterances.map((u, index) => {
            return {
                id: index + 1,
                start: u.start,
                end: u.end,
                text: u.text,
                words: u.words.map((w) => {
                    return {
                        start: w.start,
                        end: w.end,
                        word: w.word,
                    };
                }),
                language: u.language,
                confidence: u.confidence,
                channel: u.channel,
                speaker: u.speaker,
            };
        }),
        text: data.full_transcript,
        task: "",
    };
}
//# sourceMappingURL=IGladiaTranscript.js.map