export var TranscriptionStatus;
(function (TranscriptionStatus) {
    TranscriptionStatus["queued"] = "queued";
    TranscriptionStatus["processing"] = "processing";
    TranscriptionStatus["done"] = "done";
    TranscriptionStatus["error"] = "error";
})(TranscriptionStatus || (TranscriptionStatus = {}));
export var TranscriptionKind;
(function (TranscriptionKind) {
    TranscriptionKind["PreRecorded"] = "pre-recorded";
    TranscriptionKind["Live"] = "live";
})(TranscriptionKind || (TranscriptionKind = {}));
export const DEFAULT_AUDIO_TRANSCRIPTION_CONFIG = {
    audio_url: "http://files.gladia.io/example/audio-transcription/split_infinity.wav",
    context_prompt: "",
    custom_vocabulary: [],
    detect_language: true,
    enable_code_switching: false,
    sentences: true,
    diarization: true,
    subtitles: true,
    subtitles_config: {
        formats: ["srt"],
    },
};
export function isIErrorResponse(data) {
    return data.statusCode >= 400 && data.statusCode < 500;
}
//# sourceMappingURL=interfaces.js.map