import { z } from "zod";
export const IDocumentReferenceSchema = z.object({
    id: z.string(),
    path: z.string(),
    parent: z
        .union([z.lazy(() => ICollectionReferenceSchema), z.null()])
        .optional(),
});
export const ICollectionReferenceSchema = z.object({
    id: z.string(),
    path: z.string(),
    parent: z
        .union([z.lazy(() => IDocumentReferenceSchema), z.null()])
        .optional(),
});
//# sourceMappingURL=ICollectionReference.js.map