import { Timestamp } from "@firebase/firestore";
export function sanitizeICreateUpdate(item) {
    let changed = false;
    if (!item.createdBy) {
        item.createdBy = "system";
        changed = true;
    }
    return changed;
}
export function timestampsToDates(item) {
    if (item.createdAt &&
        item.createdAt.seconds &&
        item.createdAt.nanoseconds) {
        const newTime = new Timestamp(item.createdAt.seconds, item.createdAt.nanoseconds);
        item.createdAt = newTime.toDate();
    }
    if (item.updatedAt &&
        item.updatedAt.seconds &&
        item.updatedAt.nanoseconds) {
        const newTime = new Timestamp(item.updatedAt.seconds, item.updatedAt.nanoseconds);
        item.updatedAt = newTime.toDate();
    }
    return item;
}
//# sourceMappingURL=ICreataUpdate.js.map