import { MediaAssetVariant } from "../models/index.js";
import type { IVideoSettings } from "./IVideoSettings.js";
import type { ISelectors } from "./ISelectors.js";
import type { IClip } from "./IClip.js";
import { AssetKey } from "./ILocalCloudFile.js";
export interface IEditSpecification {
    invokerId?: string | null;
    myProjectId?: string | null;
    myVideoId?: string | null;
    renderedVideoId?: string;
    outPath?: string | null;
    selectors: ISelectors;
    videoSettings: IVideoSettings;
    audioFilePath?: string | null;
    keepSourceAudio?: boolean;
    assets: MediaAssetVariant<AssetKey>[];
    clips: IClip[];
    defaults: IClip | null;
    md5?: string | null;
}
export interface IEditSpecificationAlgolia {
    selectors: ISelectors;
    videoSettings: IVideoSettings;
    text: string[];
}
export declare function iEditSpecificationToAlgolia(item: IEditSpecification): IEditSpecificationAlgolia;
//# sourceMappingURL=IEditSpecification.d.ts.map