import type { IDocumentReference } from "./IDocumentReference.js";
export interface IHasContainerRelationship {
    linkedContainerParent?: string | null;
    linkedContainerChildren?: string[] | null;
}
export declare function setContainerParent(item: IHasContainerRelationship, parent: IDocumentReference): IHasContainerRelationship;
export declare function addContainerChild(item: IHasContainerRelationship, child: IDocumentReference): IHasContainerRelationship;
export declare function removeContainerChild(item: IHasContainerRelationship, child: IDocumentReference): IHasContainerRelationship;
export declare function iHasContainerRelationshipToAlgolia(item: IHasContainerRelationship): IHasContainerRelationship;
//# sourceMappingURL=IHasContainerRelationship.d.ts.map