import type { ICollectionDocument } from "./ICollectionDocument.js";
import type { IUserSmall } from "./IUserSmall.js";
export interface IUserGroup extends ICollectionDocument {
    id: string;
    name: string;
    description?: string | null;
    avatar?: string | null;
    color?: string | null;
    users: string[];
    admins: string[];
    assignedUsers: IUserSmall[];
}
//# sourceMappingURL=IUserGroup.d.ts.map