import { FrameRange } from "./frameRange.js";
import { FrameRangeCollection } from "./frameRangeCollection.js";
export class FrameRangeCollectionContinuous extends FrameRangeCollection {
    append(range, rangeScaled) {
        this.collection.push(FrameRange.fromStart(this.lastFrame, range.duration).withAnchor(range.anchor));
        if (rangeScaled)
            this.collectionScaled.push(FrameRange.fromStart(this.lastFrameScaled, rangeScaled.duration).withAnchor(range.anchor));
    }
}
//# sourceMappingURL=frameRangeCollectionContinuous.js.map