import "reflect-metadata";
import { immerable } from "immer";
import { NumberRange } from "./number-range.js";
import { FrameRange } from "./frameRange.js";
import { FrameRangeCollection } from "./frameRangeCollection.js";
export declare class KeyframeCollection {
    [immerable]: boolean;
    collection: Map<FrameRange, NumberRange>;
    constructor(collection?: Map<FrameRange, NumberRange>);
    scale(factor: number): KeyframeCollection;
    static fromFrameRangeCollection(values: FrameRangeCollection, valueSequence: number[] | undefined, scaled?: boolean): KeyframeCollection;
}
//# sourceMappingURL=keyframe-collection.d.ts.map