import "reflect-metadata";
import { AssetKey, ILayer, IVideoSettings } from "../../interfaces/index.js";
import { AudioLayer } from "./audio.layer.js";
import { Layer } from "./layer.js";
import { LottieLayer } from "./lottie.layer.js";
import { SubtitleLayer } from "./subtitle.layer.js";
import { VideoLayer } from "./video.layer.js";
import type { MediaAssetVariant } from "../mediaAsset.js";
export declare function layerFromILayer(iLayer: ILayer, assets: MediaAssetVariant<AssetKey>[], videoSettings: IVideoSettings, duration: number): Layer | AudioLayer | VideoLayer | SubtitleLayer | LottieLayer;
//# sourceMappingURL=layer.factory.d.ts.map