import type { IRangeDto } from "../../interfaces/IRange.js";
import { Range } from "./range.js";
export declare class DateRange extends Range<Date> {
    compare(a: Date, b: Date): number;
    add(a: Date, b: Date): Date;
    subtract(a: Date, b: Date): Date;
    multiply(a: Date, factor: number): Date;
    divide(a: Date, divisor: number): Date;
    protected createInstance(start: Date, end: Date): DateRange;
    protected serializeValue(value: Date): any;
    protected deserializeValue(value: any): Date;
    static fromDto(dto: IRangeDto<Date>): DateRange;
    duration(): Date;
    shift(amount: Date): DateRange;
}
//# sourceMappingURL=dateRange.d.ts.map