import type { IRangeDto, IRange } from "../../interfaces/IRange.js";
import { Range } from "./range.js";
export declare class NumberRange extends Range<number> {
    toDto(): IRangeDto<number>;
    fromDto(dto: IRangeDto<number>): IRange<number>;
    compare(a: number, b: number): number;
    add(a: number, b: number): number;
    subtract(a: number, b: number): number;
    multiply(a: number, factor: number): number;
    divide(a: number, divisor: number): number;
    protected createInstance(start: number, end: number): NumberRange;
    protected serializeValue(value: number): any;
    protected deserializeValue(value: any): number;
    static fromDto(dto: IRangeDto<number>, createInstance?: (start: number, end: number) => Range<number>, deserializeValue?: (value: any) => number): Range<number>;
}
//# sourceMappingURL=numberRange.d.ts.map