var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var _a;
import "reflect-metadata";
import { immerable } from "immer";
import { Type } from "class-transformer";
import { TimeRange } from "./timerange.js";
export class TimerangeInformation {
    constructor() {
        this[_a] = true; // Option 1
        this.type = "";
        this.timerange = TimeRange.default();
        this.information = {};
    }
    static fromITimerangeInformation(timerangeInformation) {
        const result = new TimerangeInformation();
        result.type = timerangeInformation.type;
        result.timerange = new TimeRange(timerangeInformation.timerange.start, timerangeInformation.timerange.end);
        result.information = timerangeInformation.information;
        result.metadata = timerangeInformation.metadata;
        return result;
    }
}
_a = immerable;
__decorate([
    Type(() => TimeRange),
    __metadata("design:type", TimeRange)
], TimerangeInformation.prototype, "timerange", void 0);
//# sourceMappingURL=timerangeInformation.js.map