import { z } from "zod";
export declare const IPositionSchema: z.ZodObject<{
    x: z.ZodNullable<z.ZodNumber>;
    y: z.ZodNullable<z.ZodNumber>;
    originX: z.ZodEnum<[import("../enums/general.js").AnchorType.Null, import("../enums/general.js").AnchorType.Top, import("../enums/general.js").AnchorType.Bottom, import("../enums/general.js").AnchorType.Center, import("../enums/general.js").AnchorType.Right, import("../enums/general.js").AnchorType.Left]>;
    originY: z.ZodEnum<[import("../enums/general.js").AnchorType.Null, import("../enums/general.js").AnchorType.Top, import("../enums/general.js").AnchorType.Bottom, import("../enums/general.js").AnchorType.Center, import("../enums/general.js").AnchorType.Right, import("../enums/general.js").AnchorType.Left]>;
}, "strip", z.ZodTypeAny, {
    x: number | null;
    y: number | null;
    originX: import("../enums/general.js").AnchorType;
    originY: import("../enums/general.js").AnchorType;
}, {
    x: number | null;
    y: number | null;
    originX: import("../enums/general.js").AnchorType;
    originY: import("../enums/general.js").AnchorType;
}>;
//# sourceMappingURL=position.schema.d.ts.map