import type { ICollectionDocument } from "./ICollectionDocument.js";
import type { IDocumentReference } from "./IDocumentReference.js";
export interface IHasParentChildRelationship {
    linkedParent?: string | null;
    linkedChildren?: string[] | null;
}
export declare function getLinkedChildrenInSubCollection(item: ICollectionDocument): string[];
export declare function setParent(item: ICollectionDocument, parent: IDocumentReference): ICollectionDocument;
export declare function addChild(item: ICollectionDocument, child: IDocumentReference): ICollectionDocument;
export declare function removeChild(item: ICollectionDocument, child: IDocumentReference): ICollectionDocument;
export declare function sanitizeIHasParentChildRelationship(item: IHasParentChildRelationship): boolean;
export declare function iHasParentChildRelationshipToAlgolia(item: IHasParentChildRelationship): IHasParentChildRelationship;
//# sourceMappingURL=IHasParentChildRelationship.d.ts.map