import _ from "lodash";
export function compareableLayer(layer) {
    const clone = _.cloneDeep(layer);
    return {
        libId: clone.libId,
        name: clone.name,
        linkedTo: clone.linkedTo,
        lockedAtParent: clone.lockedAtParent,
        hiddenInTimeline: clone.hiddenInTimeline,
        language: clone.language,
        alphaChannel: clone.alphaChannel,
        background: clone.background,
        backgroundColor: clone.backgroundColor,
        charSpacing: clone.charSpacing,
        color: clone.color,
        colors: clone.colors,
        renderDisabled: clone.renderDisabled,
        renderDisabledLocal: clone.renderDisabledLocal,
        absoluteRange: clone.absoluteRange,
        relativeRange: clone.relativeRange,
        cutRange: clone.cutRange,
        transitions: clone.transitions,
        fontPath: clone.fontPath,
        fontSize: clone.fontSize,
        fontWeight: clone.fontWeight,
        fragmentPath: clone.fragmentPath,
        text: clone.text,
        text2: clone.text2,
        textColor: clone.textColor,
        type: clone.type,
        path: clone.path,
        proxyPath: clone.proxyPath,
        speed: clone.speed,
        mixVolume: clone.mixVolume,
        properties: clone.properties,
        propertiesLocale: clone.propertiesLocale,
        zindex: clone.zindex,
        position: clone.position,
        size: clone.size,
        resizeMode: clone.resizeMode,
        spacialBox: clone.spacialBox,
        sourceSize: clone.sourceSize,
        sourceRatioFraction: clone.sourceRatioFraction,
        subtitlesLocale: clone.subtitlesLocale,
    };
}
//# sourceMappingURL=ILayer.js.map