import { type ICollectionDocument, type ICollectionDocumentAlgolia } from "./ICollectionDocument.js";
import type { IDocumentReference } from "./IDocumentReference.js";
import type { IHasParentChildRelationship } from "./IHasParentChildRelationship.js";
import type { MediaType } from "./IMediaAsset.js";
export interface ILibraryCollectionItem {
    name: string;
    type: MediaType;
    documentReference: IDocumentReference;
}
export interface ILibraryCollection extends ICollectionDocument {
    name: string;
    items: ILibraryCollectionItem[];
}
export interface ILibraryCollectionAlgolia extends ICollectionDocumentAlgolia, IHasParentChildRelationship {
    id: string;
    name: string;
}
export declare function iLibraryCollectionToAlgolia(item: ILibraryCollection | any): ILibraryCollectionAlgolia;
//# sourceMappingURL=ILibraryCollection.d.ts.map