import { LottieData } from "../types/lottie.js";
import { type ICollectionDocument, type ICollectionDocumentAlgolia } from "./ICollectionDocument.js";
import { type IMediaAsset, type IMediaAssetAlgolia, type MediaType } from "./IMediaAsset.js";
export interface ILibraryItem extends ICollectionDocument {
    name: string;
    state: string;
    type: MediaType;
    asset: IMediaAsset;
    data?: LottieData | any;
    dataJson?: string;
}
export interface ILibraryItemAlgolia extends ICollectionDocumentAlgolia {
    id: string;
    name: string;
    state: string;
    type: MediaType;
    asset?: IMediaAssetAlgolia;
    dataJson?: string;
}
export declare function iLibraryItemToAlgolia(item: ILibraryItem): ILibraryItemAlgolia;
//# sourceMappingURL=ILibraryItem.d.ts.map