import type { FunctionDescription } from "../models/function-description.js";
export interface IProperty {
    name: string;
    value: string | number | any;
    path: string;
    type?: "text" | "color" | "image";
    functionDecorators?: FunctionDescription[];
    options?: string[];
    width?: number;
    height?: number;
}
export declare function textsFromProperty(property: IProperty): string[];
//# sourceMappingURL=IProperty.d.ts.map