import { iEditSpecificationToAlgolia, } from "./IEditSpecification.js";
import { iMediaAssetToAlgolia } from "./IMediaAsset.js";
import { iCollectionDocumentToAlgolia, } from "./ICollectionDocument.js";
export var RenderedVideoState;
(function (RenderedVideoState) {
    RenderedVideoState["null"] = "";
    RenderedVideoState["Created"] = "Created";
    RenderedVideoState["StartEdit"] = "StartEdit";
    RenderedVideoState["Editing"] = "Editing";
    RenderedVideoState["Edited"] = "Edited";
    RenderedVideoState["Finished"] = "Finished";
    RenderedVideoState["Error"] = "Error";
})(RenderedVideoState || (RenderedVideoState = {}));
export function iRenderedVideoToAlgolia(item) {
    var _a, _b;
    const base = iCollectionDocumentToAlgolia(item);
    return Object.assign(Object.assign({}, base), { state: item.state, projectName: item.projectName, projectReference: item.projectReference, editSpecification: item.editSpecification
            ? iEditSpecificationToAlgolia(item.editSpecification)
            : null, videoSettings: item.videoSettings, languageCodes: item.languageCodes, createdAsset: item.createdAsset
            ? iMediaAssetToAlgolia(item.createdAsset)
            : null, createdAssets: (_b = (_a = item.createdAssets) === null || _a === void 0 ? void 0 : _a.map((variant) => {
            return iMediaAssetToAlgolia(variant.value);
        })) !== null && _b !== void 0 ? _b : null });
}
//# sourceMappingURL=IRenderedVideo.js.map