import type { ICollectionDocument } from "./ICollectionDocument.js";
import type { ILocalCloudFile } from "./ILocalCloudFile.js";
import type { IProjectElement } from "./IProjectElement.js";
export interface ITemplate extends ICollectionDocument {
    name: string;
    description: string;
    backgroundImage?: ILocalCloudFile;
    previewFile?: ILocalCloudFile;
    category: any;
    categoryReference: any;
    projectElements: IProjectElement[];
    recordingSequence: string[];
    cuttingSequence: string[];
    new (): ITemplate;
}
//# sourceMappingURL=ITemplate.d.ts.map