import { jsx as _jsx } from "react/jsx-runtime";
const RenderGuard = ({ disabled, children, message, }) => {
    if (disabled) {
        return (_jsx("p", { style: { visibility: "hidden" }, children: message || "This component is disabled" }));
    }
    return _jsx("div", { style: { backgroundColor: undefined }, children: children });
    // return <>{children}</>;
};
export default RenderGuard;
//# sourceMappingURL=renderGuard.component.js.map