var _a;
/* eslint-disable capitalized-comments */
import { immerable } from "immer";
import { editSpecificationToClips } from "./clip.js";
export class EditlyService {
    constructor() {
        this[_a] = true; // Option 1
    }
    static getTotalLength(editSpecification, videoSettings) {
        const clipsFromData = editSpecificationToClips(editSpecification, videoSettings, "getTotalLength");
        return EditlyService.getTotalLengthFromClips(clipsFromData);
    }
    static getTotalLengthFromClips(clips) {
        let totalLength = 0;
        for (const clip of clips) {
            for (const layer of clip.layers) {
                totalLength = Math.max(totalLength, layer.absoluteRange.end);
            }
        }
        return Math.max(totalLength, 1);
    }
}
_a = immerable;
//# sourceMappingURL=editlyService.js.map