import "reflect-metadata";
import { immerable } from "immer";
import { FrameRange } from "./frameRange.js";
export declare class FrameRangeCollection {
    [immerable]: boolean;
    collection: FrameRange[];
    collectionScaled: FrameRange[];
    get lastFrame(): number;
    get lastFrameScaled(): number;
    append(range: FrameRange, rangeScaled: FrameRange): void;
    findIndexContainsFrame(frame: number, scaled?: boolean): number;
    includingFrame(frame: number, scaled?: boolean): FrameRange[];
    leftOfFrame(frame: number, scaled?: boolean): FrameRange[];
    leftOfAndIncludingFrame(frame: number, scaled?: boolean): FrameRange[];
    rightOfFrame(frame: number, scaled?: boolean): FrameRange[];
    rightOfAndIncludingFrame(frame: number, scaled?: boolean): FrameRange[];
}
//# sourceMappingURL=frameRangeCollection.d.ts.map