import "reflect-metadata";
import { immerable } from "immer";
export declare class NumberRange {
    [immerable]: boolean;
    start: number;
    end: number;
    get difference(): number;
    set difference(value: number);
    constructor(start?: number, end?: number);
    clone(): NumberRange;
    toAscending(): NumberRange;
    toDescending(): NumberRange;
    toString(): string;
    static unitRange(): NumberRange;
}
//# sourceMappingURL=number-range.d.ts.map