import "reflect-metadata";
import { immerable } from "immer";
import type { ISize } from "../interfaces/index.js";
export declare class PercentSize implements ISize {
    [immerable]: boolean;
    private _width;
    get width(): number;
    set width(value: number);
    get height(): number;
    set height(value: number);
    private _height;
    constructor(width: number, height: number);
    static fill(): PercentSize;
    static fromViewPort(size: ISize, viewPort: ISize): PercentSize;
}
//# sourceMappingURL=percentSize.d.ts.map