import { describe, expect, it } from "vitest";
import { PositionRelative, SizeRelative, RectangleRelative, } from "./rectangle-relative";
describe("RectangleRelative", () => {
    it("should correctly initialize a rectangle", () => {
        const position = new PositionRelative(10, 20);
        const size = new SizeRelative(100, 200);
        const anchorPoint = new PositionRelative(0, 0);
        const rectangle = new RectangleRelative(size, position, anchorPoint);
        expect(rectangle).toBeDefined();
        // Unfortunately, the properties of RectangleRelative are private, so we can't directly assert their values.
        // If you have getter methods for these properties, you can use them here to check the values.
    });
});
//# sourceMappingURL=rectangle-relative.spec.js.map