import "reflect-metadata";
import { immerable } from "immer";
import type { ISize } from "../interfaces/index.js";
export declare class Size implements ISize {
    [immerable]: boolean;
    private _width;
    get width(): number;
    set width(value: number);
    get height(): number;
    set height(value: number);
    private _height;
    constructor(width: number, height: number);
    toPercentSize(): ISize;
    toNormalizedSize(): ISize;
    static fromISize(size: ISize): Size;
    static aspectFill(size: ISize, viewPort: ISize): Size;
    static aspectFit(size: ISize, viewPort: ISize): Size;
    static get default(): Size;
}
//# sourceMappingURL=size.d.ts.map